PUT Api/InspectionBuildingElement/{id}

URI Example

PUT Api/InspectionBuildingElement/{id}

URI Parameters

NameDescriptionTypeAdditional information
id

integer

Required

Body Parameters

InspectionBuildingElementBinding
NameDescriptionTypeAdditional information
InspectionId

integer

Required

ElementTypeId

integer

Required

Name

string

Required

Description

string

Required

Request Formats

application/json, text/json, application/hal+json
  • {
      "inspectionId": 1,
      "elementTypeId": 1,
      "name": "sample string 1",
      "description": "sample string 2"
    }
    

Resource Description

InspectionBuildingElementResource
NameDescriptionTypeAdditional information
Id

integer

None.

InspectionId

integer

None.

ElementTypeId

integer

None.

Name

string

None.

Description

string

None.

FileName

string

None.

Size

integer

None.

Url

string

None.

IsBlocked

boolean

None.

UpdateDate

date

None.

_links

Dictionary of string [key] and Link [value]

None.

_embedded

Dictionary of string [key] and Object [value]

None.

Response Formats

application/json, text/json, application/hal+json
  • {
      "_links": {
        "sample string 1": {
          "href": "sample string 1",
          "method": "sample string 2",
          "rel": [
            "sample string 1",
            "sample string 2"
          ]
        },
        "sample string 2": {
          "href": "sample string 1",
          "method": "sample string 2",
          "rel": [
            "sample string 1",
            "sample string 2"
          ]
        }
      },
      "id": 1,
      "inspectionId": 2,
      "elementTypeId": 3,
      "name": "sample string 4",
      "description": "sample string 5",
      "fileName": "sample string 6",
      "size": 7,
      "url": "sample string 8",
      "isBlocked": true,
      "updateDate": "2026-10-29T13:04:25.9891652+01:00",
      "_embedded": {
        "sample string 1": {},
        "sample string 3": {}
      }
    }